> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Wireless Blocklist

> Retrieve information about a Wireless Blocklist.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-configuration.yml get /wireless_blocklists/{id}
openapi: 3.1.0
info:
  title: SIM Cards Configuration API
  version: 2.0.0
  description: >-
    Network configuration for SIM cards including public IP management, private
    wireless gateways, blocklists, traffic policy profiles, and data usage
    notifications.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /wireless_blocklists/{id}:
    get:
      tags:
        - Wireless Blocklists
      summary: Get a Wireless Blocklist
      description: Retrieve information about a Wireless Blocklist.
      operationId: GetWirelessBlocklist
      parameters:
        - $ref: '#/components/parameters/WirelessBlocklistId'
      responses:
        '200':
          $ref: '#/components/responses/GetWirelessBlocklistResponse'
        '404':
          $ref: '#/components/responses/wireless_ResourceNotFound'
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const wirelessBlocklist = await client.wirelessBlocklists.retrieve(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
            );

            console.log(wirelessBlocklist.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            wireless_blocklist = client.wireless_blocklists.retrieve(
                "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )
            print(wireless_blocklist.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\twirelessBlocklist, err := client.WirelessBlocklists.Get(context.TODO(), \"6a09cdc3-8948-47f0-aa62-74ac943d6c58\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", wirelessBlocklist.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.wirelessblocklists.WirelessBlocklistRetrieveParams;

            import
            com.telnyx.sdk.models.wirelessblocklists.WirelessBlocklistRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    WirelessBlocklistRetrieveResponse wirelessBlocklist = client.wirelessBlocklists().retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            wireless_blocklist =
            telnyx.wireless_blocklists.retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58")


            puts(wireless_blocklist)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $wirelessBlocklist = $client->wirelessBlocklists->retrieve(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58'
              );

              var_dump($wirelessBlocklist);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx wireless-blocklists retrieve \
              --api-key 'My API Key' \
              --id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    WirelessBlocklistId:
      name: id
      description: Identifies the wireless blocklist.
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    GetWirelessBlocklistResponse:
      description: Successful Response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/WirelessBlocklist'
    wireless_ResourceNotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Error'
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    WirelessBlocklist:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          readOnly: true
          example: wireless_blocklist
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        name:
          description: The wireless blocklist name.
          type: string
          example: My wireless blocklist.
        type:
          description: The type of the wireless blocklist.
          type: string
          enum:
            - country
            - mcc
            - plmn
          default: country
          example: country
        values:
          description: >-
            Values to block. The values here depend on the `type` of Wireless
            Blocklist.
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/CountryCode'
              - $ref: '#/components/schemas/MobileCountryCode'
              - $ref: '#/components/schemas/PLMNCode'
          example:
            - CA
            - MX
            - US
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    CountryCode:
      type: string
      description: ISO 3166-1 Alpha-2 Country Code.
      example: US
    MobileCountryCode:
      type: string
      description: Mobile Country Code.
      example: '311'
    PLMNCode:
      type: string
      description: Public land mobile network code (MCC + MNC).
      example: '311210'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````